From b37de83728dc7463dea37f71417560ae602f615d Mon Sep 17 00:00:00 2001
From: Jaroslaw Staniek <staniek@kde.org>
Date: Sat, 1 Feb 2020 19:07:52 +0100
Subject: [PATCH] TRIVIAL Move Q_REQUIRED_RESULT to correct place

This can fix builds for newer MSVC
---
 src/common/KReportDataSource.h    | 2 +-
 src/common/KReportPluginManager.h | 2 +-
 src/wrtembed/KReportDesigner.h    | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/common/KReportDataSource.h b/src/common/KReportDataSource.h
index 4761af6c..89490b47 100644
--- a/src/common/KReportDataSource.h
+++ b/src/common/KReportDataSource.h
@@ -124,7 +124,7 @@ public:
     //! Creates a new instance with data source. Default implementation returns @c nullptr.
     //! @a source is implementation-specific identifier.
     //! Owner of the returned pointer is the caller.
-    virtual KReportDataSource* create(const QString &source) const Q_REQUIRED_RESULT;
+    virtual Q_REQUIRED_RESULT KReportDataSource* create(const QString &source) const;
 
 private:
     Q_DISABLE_COPY(KReportDataSource)
diff --git a/src/common/KReportPluginManager.h b/src/common/KReportPluginManager.h
index a8c4efcf..9ea01804 100644
--- a/src/common/KReportPluginManager.h
+++ b/src/common/KReportPluginManager.h
@@ -49,7 +49,7 @@ class KREPORT_EXPORT KReportPluginManager : public QObject
 
         KReportPluginInterface* plugin(const QString& id) const;
 
-        QList<QAction*> createActions(QObject *parent) Q_REQUIRED_RESULT;
+        Q_REQUIRED_RESULT QList<QAction*> createActions(QObject *parent);
 
     private:
         // class for access to the constructor
diff --git a/src/wrtembed/KReportDesigner.h b/src/wrtembed/KReportDesigner.h
index 404c8fd4..b5b64a30 100644
--- a/src/wrtembed/KReportDesigner.h
+++ b/src/wrtembed/KReportDesigner.h
@@ -106,7 +106,7 @@ public:
     @return Pointer to a new report section section object, ownership is transferred to
             the caller
     */
-    KReportDesignerSection* createSection() Q_REQUIRED_RESULT;
+    Q_REQUIRED_RESULT KReportDesignerSection* createSection();
 
     /**
     @brief Deletes the section specified
-- 
GitLab

